Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api
Interface KieServices

    public interface KieServices

The KieServices is a thread-safe singleton acting as a hub giving access to the other Services provided by Kie. As general rule a getX() method just returns a reference to another singleton while a newX() one creates a new instance.

It is possible to obtain a KieServices reference via its Factory as it follows

     KieServices kieServices = KieServices.Factory.get();

Nested Class Summary
`static class` | `KieServices.Factory` A Factory for this KieServices

Method Summary
`KieCommands` | `getCommands()` Returns the KieCommands, a factory for Commands
`KieContainer` | `getKieClasspathContainer()` Returns KieContainer for the classpath, this a global singleton
`KieLoggers` | `getLoggers()` Returns KieLoggers, a factory for KieRuntimeLogger
`KieMarshallers` | `getMarshallers()` Returns the KieMarshallers service
`KieRepository` | `getRepository()` Returns the KieRepository, a singleton acting as a repository for all the available KieModules
`KieResources` | `getResources()` Returns the KieResources, a factory that provides Resource implementations for the desired IO resource
`KieStoreServices` | `getStoreServices()` Returns KieStoreServices
`KieBuilder` | `newKieBuilder(File rootFolder)` Creates a new KieBuilder to build the KieModule contained in the given folder
`KieBuilder` | `newKieBuilder(KieFileSystem kieFileSystem)` Creates a new KieBuilder to build the KieModule contained in the given KieFileSystem
`KieContainer` | `newKieContainer(ReleaseId releaseId)` Creates a new KieContainer wrapping the KieModule with the given ReleaseId
`KieFileSystem` | `newKieFileSystem()` Creates a new KieFileSystem used to programmatically define the resources composing a KieModule
`KieModuleModel` | `newKieModuleModel()` Creates a new KieModuleModel to programmatically define a KieModule
`KieScanner` | `newKieScanner(KieContainer kieContainer)` Creates a KieScanner to automatically discover if there are new releases of the KieModule (and its dependencies) wrapped by the given KieContainer
`ReleaseId` | `newReleaseId(String groupId, String artifactId, String version)` Creates a new ReleaseId with the given groupId, artifactId and version

Method Detail

### getResources

    KieResources getResources()

  Returns the KieResources, a factory that provides Resource implementations for the desired IO resource

### getRepository

    KieRepository getRepository()

  Returns the KieRepository, a singleton acting as a repository for all the available KieModules

### getCommands

    KieCommands getCommands()

  Returns the KieCommands, a factory for Commands

### getMarshallers

    KieMarshallers getMarshallers()

  Returns the KieMarshallers service

### getLoggers

    KieLoggers getLoggers()

  Returns KieLoggers, a factory for KieRuntimeLogger

### getStoreServices

    KieStoreServices getStoreServices()

  Returns KieStoreServices

### getKieClasspathContainer

    KieContainer getKieClasspathContainer()

  Returns KieContainer for the classpath, this a global singleton

### newKieContainer

    KieContainer newKieContainer(ReleaseId releaseId)

  Creates a new KieContainer wrapping the KieModule with the given ReleaseId

### newKieScanner

    KieScanner newKieScanner(KieContainer kieContainer)

  Creates a KieScanner to automatically discover if there are new releases of the KieModule (and its dependencies) wrapped by the given KieContainer

### newKieBuilder

    KieBuilder newKieBuilder(File rootFolder)

  Creates a new KieBuilder to build the KieModule contained in the given folder

### newKieBuilder

    KieBuilder newKieBuilder(KieFileSystem kieFileSystem)

  Creates a new KieBuilder to build the KieModule contained in the given KieFileSystem

### newReleaseId

    ReleaseId newReleaseId(String groupId,
                           String artifactId,
                           String version)

  Creates a new ReleaseId with the given groupId, artifactId and version

### newKieFileSystem

    KieFileSystem newKieFileSystem()

  Creates a new KieFileSystem used to programmatically define the resources composing a KieModule

### newKieModuleModel

    KieModuleModel newKieModuleModel()

  Creates a new KieModuleModel to programmatically define a KieModule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.